org.apache.lucene.xmlparser

## Interface FilterBuilder

- All Known Implementing Classes:
    BooleanFilterBuilder, CachedFilterBuilder, DuplicateFilterBuilder, FilterBuilderFactory, RangeFilterBuilder, TermsFilterBuilder

      public interface FilterBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Filter` | `getFilter(org.w3c.dom.Element e)`

- - ### Method Detail

    - #### getFilter

          Filter getFilter(org.w3c.dom.Element e)
                    throws ParserException

      Throws:
        `ParserException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.